W3C Simple API for CSS (SAC) version 1.3 - Java API: Interface SiblingSelector

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS |
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.css.sac
Interface SiblingSelector

All Superinterfaces:
  Selector

public interface SiblingSelector
extends Selector

Version:
  $Revision: 1.3 $
See Also:
  `Selector.SAC_DIRECT_ADJACENT_SELECTOR`

Field Summary
`static short` | `ANY_NODE`

Fields inherited from interface org.w3c.css.sac.Selector
`SAC_ANY_NODE_SELECTOR, SAC_CDATA_SECTION_NODE_SELECTOR, SAC_CHILD_SELECTOR, SAC_COMMENT_NODE_SELECTOR, SAC_CONDITIONAL_SELECTOR, SAC_DESCENDANT_SELECTOR, SAC_DIRECT_ADJACENT_SELECTOR, SAC_ELEMENT_NODE_SELECTOR, SAC_NEGATIVE_SELECTOR, SAC_PROCESSING_INSTRUCTION_NODE_SELECTOR, SAC_PSEUDO_ELEMENT_SELECTOR, SAC_ROOT_NODE_SELECTOR, SAC_TEXT_NODE_SELECTOR`

Method Summary
`short` | `getNodeType()` The node type to considered in the siblings list.
`Selector` | `getSelector()` Returns the first selector.
`SimpleSelector` | `getSiblingSelector()`

Methods inherited from interface org.w3c.css.sac.Selector
`getSelectorType`

Field Detail

### ANY_NODE

    public static final short ANY_NODE

Method Detail

### getNodeType

    public short getNodeType()

  The node type to considered in the siblings list. All DOM node types are supported. In order to support the "any" node type, the code ANY_NODE is added to the DOM node types.

### getSelector

    public Selector getSelector()

  Returns the first selector.

### getSiblingSelector

    public SimpleSelector getSiblingSelector()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS |
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 W3C® (MIT, INRIA, Keio), All Rights Reserved. W3C liability, trademark, document use and software licensing rules apply. Your interactions with this site are in accordance with our public and Member privacy statements.